import matplotlib.pyplot as plt
import numpy as np

def amdahl(f,n):
    return 1.0/((1-f) + (f/n))

cores = np.arange(1, 10, 0.1)
values_list = [] 
par_vals = np.arange(0, 1.1, 0.1)


for par_val in par_vals:
    values = amdahl(par_val, cores)
    values_list.append(values)


for values in values_list:
    plt.plot(cores, values, 'b-')
plt.show()